VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
VisiMath.Geometry.IndexedMeshBuilder< T > Class Template Reference

Indexed mesh builder. More...

List of all members.

## Public Member Functions
| IndexedMeshBuilder (int startvertexcount=0, int startindexblocks=0, int startindexsize=0)
| Creates new mesh builder.
void | Add (TriangleList tlist, Transformation trans=null, bool currentmeshsubset=true, int indexblock=0)
| Adds triangle mesh to builder.
void | Add (IndexedMesh mesh, Transformation trans=null, bool currentmeshsubset=true, int indexblock=0)
| Adds mesh to builder.
void | AddIndices (int indexbase, int[] indices, int indexblock)
| Adds indices.
IndexedMesh | GetMesh ()
| Converts to final mesh.
## Protected Attributes
VertexList< T > | Vertices
| Vertices list.
List< List< int > > | Indices
| Indices list.

## Detailed Description

### template<T>
class VisiMath::Geometry::IndexedMeshBuilder< T >

Indexed mesh builder.

Type Constraints

  T | : | IVertex |

## Member Function Documentation

template<T >

void VisiMath.Geometry.IndexedMeshBuilder< T >.Add | ( | TriangleList | tlist,
|  | Transformation | trans = `null`,
|  | bool | currentmeshsubset = `true`,
|  | int | indexblock = `0`
| ) |  |

Adds triangle mesh to builder.

Parameters:

  tlist | Triangle list
  trans | Optional transformation used to modify all vertices in mesh
  indexblock | Indices index to save into. If -1, new indexset will be created (for each of source subsets, if using all)
  currentmeshsubset | Use only current mesh subset?

template<T >

void VisiMath.Geometry.IndexedMeshBuilder< T >.Add | ( | IndexedMesh | mesh,
|  | Transformation | trans = `null`,
|  | bool | currentmeshsubset = `true`,
|  | int | indexblock = `0`
| ) |  |

Adds mesh to builder.

Parameters:

  mesh | Mesh
  trans | Optional transformation used to modify all vertices in mesh
  indexblock | Indices index to save into. If -1, new indexset will be created (for each of source subsets, if using all)
  currentmeshsubset | Use only current mesh subset?

template<T >

void VisiMath.Geometry.IndexedMeshBuilder< T >.AddIndices | ( | int | indexbase,
|  | int[] | indices,
|  | int | indexblock
| ) |  |

Adds indices.

Parameters:

  indexbase | Index base modifier
  indices | Indices array
  indexblock | Indices index to save into. If -1, new indexset will be created (for each of source subsets, if using all)

template<T >

IndexedMesh VisiMath.Geometry.IndexedMeshBuilder< T >.GetMesh | ( |  | ) |

Converts to final mesh.

Returns:

template<T >

VisiMath.Geometry.IndexedMeshBuilder< T >.IndexedMeshBuilder | ( | int | startvertexcount = `0`,
|  | int | startindexblocks = `0`,
|  | int | startindexsize = `0`
| ) |  |

Creates new mesh builder.

Parameters:

  startvertexcount | Initial capacity for vertices
  startindexblocks | Initial capacity for subsets
  startindexsize | Initial capacity for index subset size

## Member Data Documentation

template<T >

List<List<int> > VisiMath.Geometry.IndexedMeshBuilder< T >.Indices`[protected]`

Indices list.

template<T >

VertexList<T> VisiMath.Geometry.IndexedMeshBuilder< T >.Vertices`[protected]`

Vertices list.

The documentation for this class was generated from the following file:

- IndexedMeshBuilder.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events